Bug 127122 - [patch] security/clamav update to 0.94
Summary: [patch] security/clamav update to 0.94
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-05 22:40 UTC by Gary Palmer
Modified: 2008-09-15 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.95 KB, patch)
2008-09-05 22:40 UTC, Gary Palmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Palmer 2008-09-05 22:40:00 UTC
From clamav.net:

The feature list includes:

* Improved anti-Phishing technology
* Improved scanning of scripts
* Data Loss Prevention (DLP)
* Improved PUA Detection
* IPv6 support
* More flexibility when scanning remote file systems
* Better scalability for high throughput users
* Improved QA and unit testing
* Improved signature based malware detection

For more details, please refer to http://www.clamav.net/press/0.94-WhatsNew.pdf

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-09-05 22:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Renato Botelho freebsd_committer 2008-09-07 23:21:07 UTC
This update involves all dependant ports since libclamav bumped to .5
version, i've already started tests with all these ports but couldn't finish
it because some problems, so, it'll need to wait ports freeze ends
(prevision is Sep 22).
-- 
Renato Botelho <garga @ FreeBSD.org>
               <garga @ freebsdbrasil.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Obviously the only rational solution to your problem is suicide.
Comment 3 dfilter service freebsd_committer 2008-09-15 20:56:47 UTC
garga       2008-09-15 19:56:38 UTC

  FreeBSD ports repository

  Modified files:
    ftp/proftpd          Makefile 
    ftp/proftpd-devel    Makefile 
    mail/clamfilter      Makefile 
    mail/claws-mail-clamav Makefile 
    mail/dspam           Makefile 
    mail/dspam-devel     Makefile 
    mail/mailscanner     Makefile 
    mail/mailscanner-devel Makefile 
    mail/ngmp            Makefile 
    mail/p5-Mail-ClamAV  Makefile 
    mail/p5-Mail-ClamAV/files patch-ClamAV.pm 
    mail/p5-qpsmtpd      Makefile 
    mail/qscan           Makefile 
    mail/qsheff          Makefile 
    mail/simscan         Makefile 
    security/clamassassin Makefile 
    security/clamav      Makefile distinfo 
    security/clamav/files patch-configure 
    security/clamcour    Makefile 
    security/clamsmtp    Makefile 
    security/clamtk      Makefile 
    security/klamav      Makefile 
    security/p5-File-Scan-ClamAV Makefile 
    security/py-clamav   Makefile 
    security/spybye      Makefile 
    security/squidclam   Makefile 
    www/c-icap           Makefile 
    www/dansguardian-devel Makefile 
    www/gurlchecker      Makefile 
    www/havp             Makefile 
    www/mod_clamav       Makefile 
    www/raqdevil         Makefile 
  Log:
  - Update security/clamav to 0.94 [1] and fix a remote DoS [2]
  - Chase libclamav version bump on all dependant ports
  - Bump necessary PORTREVISIONS
  - Fix some BROKEN messages from ports that were already broken with clamav-0.93
  - Mark security/klamav as BROKEN since it doesn't build with clamav-0.94
  
  PR:             ports/127122 [1], ports/127310 [2]
  Submitted by:   Gary Palmer <freebsd-gnats@in-addr.com> [1], delphij [2]
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.141     +1 -1      ports/ftp/proftpd-devel/Makefile
  1.138     +1 -1      ports/ftp/proftpd/Makefile
  1.6       +1 -1      ports/mail/clamfilter/Makefile
  1.7       +2 -2      ports/mail/claws-mail-clamav/Makefile
  1.70      +1 -1      ports/mail/dspam-devel/Makefile
  1.71      +1 -1      ports/mail/dspam/Makefile
  1.34      +1 -1      ports/mail/mailscanner-devel/Makefile
  1.73      +1 -1      ports/mail/mailscanner/Makefile
  1.2       +1 -0      ports/mail/ngmp/Makefile
  1.14      +1 -1      ports/mail/p5-Mail-ClamAV/Makefile
  1.4       +62 -21    ports/mail/p5-Mail-ClamAV/files/patch-ClamAV.pm
  1.9       +1 -1      ports/mail/p5-qpsmtpd/Makefile
  1.6       +1 -1      ports/mail/qscan/Makefile
  1.14      +1 -1      ports/mail/qsheff/Makefile
  1.13      +1 -1      ports/mail/simscan/Makefile
  1.13      +1 -1      ports/security/clamassassin/Makefile
  1.121     +1 -1      ports/security/clamav/Makefile
  1.49      +3 -3      ports/security/clamav/distinfo
  1.11      +22 -22    ports/security/clamav/files/patch-configure
  1.10      +2 -2      ports/security/clamcour/Makefile
  1.31      +1 -0      ports/security/clamsmtp/Makefile
  1.13      +1 -1      ports/security/clamtk/Makefile
  1.19      +3 -1      ports/security/klamav/Makefile
  1.7       +1 -1      ports/security/p5-File-Scan-ClamAV/Makefile
  1.13      +2 -1      ports/security/py-clamav/Makefile
  1.4       +1 -1      ports/security/spybye/Makefile
  1.10      +1 -1      ports/security/squidclam/Makefile
  1.11      +2 -2      ports/www/c-icap/Makefile
  1.29      +1 -1      ports/www/dansguardian-devel/Makefile
  1.36      +2 -2      ports/www/gurlchecker/Makefile
  1.16      +2 -1      ports/www/havp/Makefile
  1.16      +3 -3      ports/www/mod_clamav/Makefile
  1.22      +1 -1      ports/www/raqdevil/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Renato Botelho freebsd_committer 2008-09-15 20:57:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!